## a2gs-5.0.tar.gz

=== Makefile ===
#
# This makefile is way overly complicated for this
# program, but this is the same makefile I use with
# other more complicated packages
#
SELF   = a2gs
INSTALL_PATH=/usr/bin
INSTALLMAN_PATH=/usr/man/man1
CC     = gcc
CFLAGS = -Wall -O2
SHELL  = sh
A2GSOBJS   = a2gs.o getallopt.o
MV     = mv
CP     = cp
CAT    = cat
AWKPROG='{if($$2 == "::"){sub($$1 " ::",c,$$0);c=""};print $$0}'
SED    = sed
GAWK   = awk
TEE    = tee
FIND   = find

.PHONY: all clean dep depend dummy install mrproper


all: .depend $(SELF)

clean: ; $(RM) core.* *.o .depend~{,~}

mrproper: clean ; $(RM) $(SELF) .depend .depend~{,~}

#
# If the .depend file doesn't exist, then we must create
# it.  Then recursively call make to create what was asked for.
#

ifneq (.depend,$(wildcard .depend))

$(SELF) install: .depend
	$(MAKE) $@

DEPEND = dummy

else

include .depend

$(SELF): .depend $(A2GSOBJS)
	$(CC) $(CFLAGS) $(A2GSOBJS) -o $@

install: .depend all
	$(CP) $(SELF) $(INSTALL_PATH)
	$(CP) a2gs.1 $(INSTALLMAN_PATH)/$(SELF).1

endif

# Ok this is the make rules the one problem with this is that if 
# one of the files is deleted, the makefile will fail.  For that
# reason I define a dummy rule for each of the source/include files.

.depend depend dep:: $(DEPEND)
	$(FIND) . -name '*.c' -maxdepth 1 -exec $(CPP) -M '{}' ';'|\
          $(SED) 's/:/::/'|$(TEE) .depend~|\
	  $(GAWK) -v c="DEPEND = " $(AWKPROG)|\
          ( $(SED) 's/ $$/ \\/';echo ' ';\
          echo '.depend :: $$(sort $$(DEPEND))' )>.depend~~
	$(CAT) .depend~{,~}>.depend
	$(RM) .depend~{,~}

$(sort $(DEPEND)) : ;

test:	$(SELF)
	./$(SELF) -m letter < README |grep -v 's/	 *([12][90]){0,1}[0-9][0-9]-[0-3][0-9]-[0-3][0-9]  *[ 0-2][0-4]:[0-9][0-9]//' > test.ps
	if ( cmp README.ps test.ps ) ; then echo Test Passed ; else echo Test Failed ; fi
	$(RM)  test.ps

README.ps:	$(SELF)
	./$(SELF) -m letter < README |grep -v 's/	 *([12][90]){0,1}[0-9][0-9]-[0-3][0-9]-[0-3][0-9]  *[ 0-2][0-4]:[0-9][0-9]//' > README.ps

=== debian/changelog ===
a2gs (1.0-4.1) unstable; urgency=medium

  * Updated to Standards Version 2.1.1.0
  * Applied patches for m68k builds (Bug#3848)
  * Changed postinst prompts (Bug#3456)
  * Built for ELF (Bug#4569)

 -- Jon Rabone <jkr@debian.org>  Mon, 27 Jan 1997 20:35:50 +0000

Sat Sep 23 15:40:24 1995  Kenneth MacDonald  <K.MacDonald@ed.ac.uk>

	* Released Revision 4 of a2gs-1.0
	
	* debian.postinst: Only ask for papersize if there is no
 	/etc/papersize file.

	* debian.rules (binary): Don't install the papersize file or
 	manual page anymore.  Don't have confiles anymore.  Append
	this ChangeLog file to the copyright file.

	* debian.control (Optional): Replaced gs_both, etc with the
 	postscript-previwer virtual package.  Added longer description.

Fri Aug 18 16:54:57 1995  Kenneth MacDonald <K.MacDonald@ed.ac.uk>

	* Built Debian release 3 of a2gs-1.0

Fri Aug 18 16:47:57 1995  Kenneth MacDonald  <K.MacDonald@ed.ac.uk>

	* a2gs.1:
	Corrected '.B' errors.

	* debian.postinst:
	Don't make /etc/papersize.old anymore - dpkg handles conffiles.
	
Tue Feb 21 23:26:42 1995  Kenneth MacDonald  <K.MacDonald@ed.ac.uk>

	* debian.postinst:
	Shell script to select/update "/etc/papersize".

Sat Feb 11 20:06:14 1995  Kenneth MacDonald  <K.MacDonald@ed.ac.uk>

	* a2gs.1:
	Added sections on paper size, files and environment. Corrected spelling errors and added my name to the references.

	* a2gs.c:
	Added support for /etc/papersize and the PAPERSIZE environment variable. Now displays warning on stderr when unrecognised paper size is found.

	* a2gs.h: Changed DEFAULT_MEDIA to "a4"

	* Makefile, a2gs.1, a2gs.c, a2gs.h, getallopt.c, getallopt.h:
	Initial revision

Tue Feb	7 23:06:29 1995  Kenneth MacDonald  <K.MacDonald@ed.ac.uk>

	 * debian.* (a2gs-1.0-1): Added support for dpkg to make initial
	                          release.

=== debian/control ===
Source: a2gs
Section: text
Priority: optional
Maintainer: Kenneth MacDonald <K.MacDonald@ed.ac.uk>
Standards-Version: 2.1.1.0

Package: a2gs
Architecture: any
Depends: ${shlibs:Depends}
Optional: postscript-viewer
Description: ASCII to PostScript filter
 a2gs formats plain ASCII text into PostScript, suitable
 for printing or viewing with ghostscript.  Pages can be
 rotated to landscape and multiple columns generated.

=== debian/rules ===
#!/usr/bin/make -f
# a2gs debian/rules file modified by Jon Rabone (jkr@debian.org) 

# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

package=a2gs

build:
	$(checkdir)
	$(MAKE) CFLAGS="-O2 -Wall" LDFLAGS=
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) -i mrproper
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
	install -d debian/tmp/usr/man/man1
	install -d debian/tmp/usr/bin
	cp debian/postinst debian/tmp/DEBIAN/.
	chmod +x debian/tmp/DEBIAN/postinst
	install -c -s a2gs debian/tmp/usr/bin/a2gs
#	gzip -9v debian/tmp/usr/info/*
	cp debian/copyright debian/tmp/usr/doc/$(package)/.
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
#	cp ChangeLog debian/tmp/usr/doc/$(package)/changelog
	cp a2gs.1 debian/tmp/usr/man/man1
	gzip -9v debian/tmp/usr/doc/$(package)/changelog.Debian
	dpkg-shlibdeps a2gs
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f $(package).c -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
